API referenceReferenceExpense claims
Update an expense claim expense
JSON, or multipart to replace the receipt with `file` or `attachment_id`.
Path Parameters
business_slug*string
Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.
claim_id*integer
Identifier of the target claim. If the ID is not known, use the corresponding list endpoint with relevant filters and/or the search parameter to discover valid IDs.
expense_id*integer
Identifier of the target expense. If the ID is not known, use the corresponding list endpoint with relevant filters and/or the search parameter to discover valid IDs.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/v1/business/string/expense_claims/0/expenses/0/" \ -H "Content-Type: application/json" \ -d '{}'{ "id": 0, "trip_id": 0, "merchant": "string", "purchase_date": "2019-08-24", "description": "string", "category": "TRAVEL_TICKETS", "amount": 0, "tags": [ { "id": 0, "name": "string", "color": "string" } ], "vat_rows": [ { "id": 0, "vat_rate": "string", "gross_amount": 0.1, "vat_amount": 0.1 } ], "attachment": { "id": 0, "name": "string", "type": "string", "analysis_status": "string" }, "reading": { "status": "string", "merchant": "string", "purchase_date": "2019-08-24", "amount": 0, "suggested_category": "TRAVEL_TICKETS", "vat_rows": [ { "vat_rate": "string", "gross_amount": 0.1, "vat_amount": 0.1 } ] }}